---
title: Creates a new tag against the request data.
slug: api-documentation/creates-a-new-tag-against-the-request-data
docTags: 
createdAt: 2026-08-27T16:59:17.576Z
---

{
  "id": "lIg5eP8YhXjJjGXKTZXjG",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/pim/tags",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/tags"
      }
    ],
    "name": "Creates a new tag against the request data.",
    "description": "<p>This endpoint enables administrators to create a new tag which can be used while performing operations on attribute-groups and product-templates.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site.",
          "minLength": 1
        },
        {
          "kind": "required",
          "name": "x-upstart-site",
          "type": "string",
          "description": "The site identifier.",
          "minLength": 1
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "Tags.json",
          "schema": [],
          "modelRef": "schemas/Tags/Tags.json",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Successfully created a new tag against the received data in request.",
        "jsonExample": "",
        "isExpanded": true,
        "headers": [
          {
            "kind": "optional",
            "name": "Allow",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "ETag",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Cache-Control",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Content-Type",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Location",
            "description": ""
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "format": "uuid"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ValidationErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "User's roles are insufficient for this endpoint.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "405",
        "description": "This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "406",
        "description": "This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "415",
        "description": "This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "default",
        "description": "This is the default internal server error. System was not able to process this request.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "fJHUdPoGDMj2WulJTPtUI",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/pim/tags \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --header 'x-upstart-site: string'"
        },
        {
          "id": "XUgBD9PTNK_3FWtHlWlhS",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\nmyHeaders.append(\"x-upstart-site\", \"string\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/tags\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "pnzH503pfxOUzULYl6w41",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/tags\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest[\"x-upstart-site\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "Wsgw2U9fEkRVN43quwm4M",
          "language": "python",
          "label": "Python",
          "code": "import requests\n\nurl = \"https://api.upstartcommerce.com/pim/tags\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'x-upstart-tenant': 'string',\n   'x-upstart-site': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "fJHUdPoGDMj2WulJTPtUI"
    },
    "results": {
      "languages": [
        {
          "id": "BmwBChyHUMlMA-MAn34Qg",
          "language": "201",
          "code": "// Successfully created a new tag against the received data in request.\n{\n  \"id\": \"\"\n}"
        },
        {
          "id": "YDMGts2YLLnovm5yooe-2",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{}"
        },
        {
          "id": "VEu2e07y6km67k_EaUpb1",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint.\n{}"
        },
        {
          "id": "8jRpGLoQt5pGIr_YxRCZ3",
          "language": "403",
          "code": "// User's roles are insufficient for this endpoint.\n{}"
        },
        {
          "id": "Intu7jZ8Rm_G96VJisezc",
          "language": "405",
          "code": "// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.\n{}"
        },
        {
          "id": "60yheWVEQ5YgqTbCJqtPa",
          "language": "406",
          "code": "// This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.\n{}"
        },
        {
          "id": "zB5WTcWTt22k2jxSmbkeR",
          "language": "415",
          "code": "// This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.\n{}"
        },
        {
          "id": "iSvb4DK_FFTDS5uTWlueM",
          "language": "default",
          "code": "// This is the default internal server error. System was not able to process this request.\n{}"
        }
      ],
      "selectedLanguageId": "BmwBChyHUMlMA-MAn34Qg"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}